package utils

import "fmt"

// streamOps ["stream","streamName","queue"]
func ConsoleFormat(subject string, streamOps ...string) {
	if len(streamOps) > 0 {
		queue := "queue-1"
		if len(streamOps) > 2 {
			queue = streamOps[2]
		}
		if streamOps[0] == "stream" {
			fmt.Println("--------------------------------【Stream】-----------------------------------------")
			fmt.Println()
			fmt.Printf("[name] => %s\n", streamOps[1])
			fmt.Printf("[topic] => %s\n", subject)
			fmt.Printf("[queue] => %s\n", queue)
			fmt.Println()
			fmt.Println("-----------------------------------------------------------------------------------")
			return
		}

	}

	fmt.Println("--------------------------------【Api】--------------------------------------------")
	fmt.Println()
	fmt.Printf("[subject] => %s\n", subject)
	fmt.Println()
	fmt.Println("-----------------------------------------------------------------------------------")

}
